Home | All Classes | Grouped Classes | Index | Search

# CL_Color::CL_Color

Constructs a color.

    	CL_Color();

    	CL_Color(
    		const CL_Colorf&);

    	CL_Color(
    		unsigned int red, unsigned int green, unsigned int blue, unsigned int alpha = 255);

Parameters:

red
  Red color component.
green
  Green color component.
blue
  Blue color component.
alpha
  Alpha (transparency) color component.

Detailed description:

Color components are specified in the range 0 to 255.

An alpha value of 0 means complete transparency, while 255 means completely opaque (solid).

See also:

CL_Color | CL_Colorf

Questions or comments, write to the ClanLib mailing list.